Bug 1121237 - CommandExecutor should handle exception in CallBackMethods
Summary: CommandExecutor should handle exception in CallBackMethods
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Ravi Nori
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 17:37 UTC by Ravi Nori
Modified: 2016-02-10 19:33 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:41:55 UTC
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30463 master MERGED engine : CommandExecutor should handle exception in CallBackMethods Never
oVirt gerrit 30703 ovirt-engine-3.5 MERGED engine : CommandExecutor should handle exception in CallBackMethods Never

Description Ravi Nori 2014-07-18 17:37:10 UTC
Description of problem: If one of the callback methods raises an exception, the framework keeps calling the method again the next loop iteration.  In some circumstances this means the command will never converge--e.g. coding errors, database connection failures, etc. 


Version-Release number of selected component (if applicable): 3.5


Expected results: the framework to abort execution of that command altogether

Comment 1 Petr Beňas 2014-09-10 17:46:13 UTC
Please provide steps to reproduce.

Comment 2 Ravi Nori 2014-09-10 18:39:04 UTC
This is internal code change

Comment 3 Sandro Bonazzola 2014-10-17 12:41:55 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.